Remove gtk3's versioned dependency of on adwaita-icon-theme

Bug #1610005 reported by Jeremy Bicha on 2016-08-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Lubuntu Artwork
New
Undecided
Unassigned
gtk+3.0 (Ubuntu)
Low
Unassigned
Xenial
Undecided
Unassigned

Bug Description

Impact
=======
libgtk-3-common depends on adwaita-icon-theme (>= ${gnome:Version}). For xenial, this is adwaita-icon-theme >= 3.18.

This causes 2 problems. One is that we have to remember to upload a new version of adwaita-icon-theme before we upload a new version of GTK3. Otherwise, the new version of adwaita-icon-theme becomes unbuildable because adwaita-icon-theme depends on GTK3 to build but GTK3 is uninstallable because the dependency can't be satisfied yet. This can be worked around (it happened this week with 3.20 in yakkety) but it's not good.

The other is that Lubuntu doesn't want to install adwaita-icon-theme but instead install lubuntu-icon-theme as a replacement by setting Provides: adwaita-icon-theme. According to Debian policy, that doesn't work if something has a versioned dependency on the provided package.

https://www.debian.org/doc/debian-policy/ch-relationships.html#s-virtual

The versioned dependency was removed in Debian svn:
https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtk%2B3.0/debian/control.in?r1=49406&r2=49410

Test case
=========
Since the xenial daily images use -proposed, check here whether adwaita-icon-theme is installed a day or two after the gtk update has been pushed to xenial-proposed:

http://cdimage.ubuntu.com/lubuntu/xenial/daily-live/current/xenial-desktop-amd64.manifest

Regression potential
====================
If in fact, lubuntu-icon-theme does not include some of the icons in adwaita-icon-theme, there will be missing icons in apps that try to use those icons.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: libgtk-3-common 3.18.9-1ubuntu3.1
ProcVersionSignature: Ubuntu 4.4.0-31.50-generic 4.4.13
Uname: Linux 4.4.0-31-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
CurrentDesktop: GNOME
Date: Thu Aug 4 18:55:25 2016
InstallationDate: Installed on 2016-07-31 (4 days ago)
InstallationMedia: Ubuntu-GNOME 16.04.1 LTS "Xenial Xerus" - Release amd64 (20160720)
PackageArchitecture: all
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: gtk+3.0
UpgradeStatus: No upgrade log present (probably fresh install)

Jeremy Bicha (jbicha) wrote :
Jeremy Bicha (jbicha) on 2016-08-04
description: updated
description: updated
Changed in gtk+3.0 (Ubuntu):
importance: Undecided → Low
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+3.0 - 3.20.9-1ubuntu1

---------------
gtk+3.0 (3.20.9-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian. Remaining changes:
    + Install the settings.ini file to set our themes
    + Enable parallel builds
    + Install a gsettings override to start filechoosers in the cwd
    + Enable Mir backend
    + Ubuntu specific patches:
      - 073_treeview_almost_fixed.patch
      - 074_eventbox_scroll_mask.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - ubuntu_fileselector_behaviour.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch
      - 0001-Update-the-GDK-Mir-backend-to-fix-a-few-problems.patch
      - 0001-Improve-external-drives-detection.patch
  * Don't ignore test failures. Accidentally set in 3.18.9-1ubuntu2
  * debian/control.in:
    - Build-depend on adwaita-icon-theme-full for icon name check test
  * debian/rules: Mark additional known test failures:
    - box-shadow-changes-modify-clip.ui
    - label-text-shadow-changes-modify-clip.ui

gtk+3.0 (3.20.9-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Team upload
  * New upstream release
  * debian/control.in:
    - Drop unnecessary version number from dependency on adwaita-icon-theme
  * debian/patches/0001-Revert-Improve-external-drives-detection.patch:
    - Dropped, applied in new version

  [ Simon McVittie ]
  * Another new upstream release
  * Explicitly build-depend on docbook-xsl, libxml2-utils and xsltproc
    to be able to generate man pages from their source code. Move docbook-xml
    to Build-Depends since the man pages are in an Architecture: any package.
  * Drop Build-Depends-Indep on docbook-utils, the old SGML toolchain,
    which is currently uninstallable (#834616) and does not appear to be
    needed for anything

 -- Jeremy Bicha <email address hidden> Fri, 26 Aug 2016 03:54:54 -0400

Changed in gtk+3.0 (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers